package gowit

import (
	"bytes"
	"io/ioutil"
	"net/http"
	"os/user"
	"strings"

	"go.wit.com/lib/gui/shell"
	"go.wit.com/log"
)

func Register(gopath string, giturl string) bool {
	var err error
	var req *http.Request

	data := []byte("some junk")

	url := "https://go.wit.com/register/"

	req, err = http.NewRequest(http.MethodPost, url, bytes.NewBuffer(data))

	req.Header.Set("gopath", gopath)
	req.Header.Set("giturl", giturl)
	usr, _ := user.Current()
	req.Header.Set("author", usr.Username)
	hostname := shell.RunCapture("hostname -f")
	req.Header.Set("hostname", hostname)

	client := &http.Client{}
	resp, err := client.Do(req)
	if err != nil {
		log.Error(err)
		return false
	}
	defer resp.Body.Close()

	body, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		log.Error(err)
		return false
	}

	test := strings.TrimSpace(string(body))
	log.Info("go.wit.com returned body:", test)
	if test == "OK" {
		return true
	}

	return false
}
